var flag_20180225_animation = true;
function switch_20180225_animation()
{
  btn = document.getElementById('20180225_control_btn');
  ctrl = document.getElementById('20180225_control_icon');
  if(ctrl.className == "glyphicon glyphicon-pause")
  {
    ctrl.title = "PLAY";
    ctrl.className = "glyphicon glyphicon-play";
  } else {
    ctrl.title = "PAUSE";
    ctrl.className = "glyphicon glyphicon-pause";
  }
  flag_20180225_animation = ! flag_20180225_animation;
  if (flag_20180225_animation) Fluid.draw();
}

function init_20180225_animation()
{
  ctrl = document.getElementById('20180225_control_icon');
  ctrl.title = "PAUSE";
  ctrl.className = "glyphicon glyphicon-pause";
  flag_20180225_animation = true;
  Fluid.initialize();
  setTimeout(switch_20180225_animation, 60000);
}

function init_2018025(leblock)
{
  current_block_hash = leblock.hash;
  init_20180225_animation();
}

$(document).ready(function(){
  last_block_hooks.push(init_2018025);
});
